org.eclipse.microprofile.health.tck

## Class TCKBase.Response

- java.lang.Object
- - org.eclipse.microprofile.health.tck.TCKBase.Response

Enclosing class:
  TCKBase

    public class TCKBase.Response
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Response(int status, String body)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Optional<String>` `getBody()`
`int` `getStatus()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Response

    public Response(int status,
                    String body)

### Method Detail

#### getStatus

    public int getStatus()

#### getBody

    public Optional<String> getBody()